server:
  port: 8085

spring:
  application:
    name: live
  mvc:
    view:
      suffix: .html
  output:
    ansi:
      enabled: always

#netty-websocket配置
netty:
  ws:
    # Websocket服务端口
    port: 9600
    # URI路径
    websocketPath: /ws
    # boss线程数
    bossThread: 10
    # worker线程数
    workerThread: 100
    # 当服务器请求处理线程全满时，用于临时存放已完成三次握手的请求的队列的最大长度
    backLog: 100
logging:
  config: classpath:logback-spring.xml

#线程池配置
task:
  pool:
    corePoolSize: 20
    maxPoolSize: 30
    keepAliveSeconds: 300
    queueCapacity: 100

retrofit:
  # 熔断降级
  degrade:
    #熔断降级类型，默认none,表示不启用
    degrade-type: sentinel
    #全局sentinel降级配置
    global-sentinel-degrade:
      #是否开启
      enable: false
      #各降级策略对应的阀值。平均响应时间（ms）,异常比例（0-1），异常数量（1-N）
      count: 1000
      #降级策略（0:平均响应时间; 1:异常比重; 2:异常数量）
      grade: 0
      # 熔断时长，单位 s
      time-window: 5
  global-log:
    #启用日志
    enable: true
    #全局日志级别
    log-level: info
    #全局日志对应策略
    log-strategy: basic
  #全局重试配置
  global-retry:
    enable: false
    #全局重试间隔时间
    interval-ms: 300
    #全局最大重试次数
    max-retries: 2
    #全局重试规则
    retry-rules:
      - occur_io_exception
      #- occur_exception
      - response_status_not_2xx

sa-token:
  token-style: random-32
  is-log: true
srs:
  url: http://101.37.66.30:80
  webrtc: webrtc://101.37.66.30:443

